Tag: Gradle

Biblioteca de Soporte de Diseño v22.2 "EXCEPCION DE NIVEL INESPERADO"

Decidí usar algunas cosas interesantes que Google acaba de publicar en su biblioteca de diseño de soporte. Everythyng va bien cuando importo la biblioteca y cuando sincronizo el proyecto con archivos de Gradle. Pero me da un error al compilar el proyecto. No sé si tengo demasiados lirbrary porque todo salió bien hasta que reemplazé […]

Android Studio proguardRelease FALLO debido biblioteca de frasco de salida vacío

He importado un proyecto de Eclipse en Android Studio 1.0.1 que consiste en un Proyecto de Biblioteca de Android (RuletaAfortunadaCore) y un Proyecto de Android (RuletaAfortunada), también tienen algunas dependencias de bibliotecas de terceros. Durante la importación todo parecía estar bien, pero ahora, cuando intento construirlo, obtengo este mensaje de error de Gradle: FAILURE: Build […]

¿Cuál tiene precedencia, tipos o sabores de la generación de Gradle?

Digamos que tengo una constante definida en ambos niveles: en el tipo de compilación lo configuro como "mybuild" y en el sabor lo configuro en "myflavor". Como aquí: buildTypes { debug { resValue "string", "analytics_key", "XXX_SANDBOX_KEY_XXX" } } productFlavors { appA { resValue "string", "analytics_key", "XXX_KEY_FOR_A_XXX" } appB { resValue "string", "analytics_key", "XXX_KEY_FOR_A_XXX" } } […]

Android Studio Gradle Error Error: Causa: net.rubygrapefruit.platform.internal.jni.PosixProcessFunctions.getPid () I

Estoy usando android studio y después de mi lanzamiento más reciente del IDE me sale un error gradle cuando intento ejecutar el proyecto. Este es el error. Error: Causa: net.rubygrapefruit.platform.internal.jni.PosixProcessFunctions.getPid () I No he hecho cambios en mi código desde la última ejecución, y por alguna razón esto está sucediendo ahora. Cualquier ayuda es muy […]

Androidmanifest xml no existe o tiene una etiqueta raíz incorrecta

Después de cambiar el nombre de mi directorio app/src/main a app/src/bk utilizando la función de cambio de nombre de Android Studio obtendré el siguiente mensaje de error: Androidmanifest xml no existe o tiene una etiqueta raíz incorrecta Ya he probado todas las respuestas dadas desde aquí . Desafortunadamente ninguno de ellos funcionó. También he checkout […]

Proyecto Android de Kotlin falló al sincronizar el Proyecto Gradle

Creé un proyecto Android con la versión más reciente de Android Studio (v2 Preview 5) y la convertí en un proyecto kotlin. Ahora gradle no es capaz de sincronizar y construir el proyecto, ver la captura de pantalla: No hice nada a ningún archivo de compilación y también eliminé todo mi caché gradle así como […]

Android Studio Toma mucho tiempo para ejecutar la aplicación en un dispositivo real

Tengo un ordenador portátil con un procesador Core i3 y un 2 GB de RAM, y estoy usando mi Sony Xperia C como una alternativa al Emulador. Cuando hago clic en depurar y elijo mi dispositivo móvil, Gradle comienza a construir y se tarda unos 5 a 10 minutos en terminar. Entiendo que tengo recursos […]

Error al resolver: okhttp loggin-interceptor

Estoy utilizando la biblioteca Retrofit 2.0.0-beta2 para la comunicación con la API. Hasta el viernes pasado, todo funcionó bien. Hoy me sale este error: Failed to resolve: com.squareup.okhttp:logging-interceptor:2.6.0-SNAPSHOT y no puedo deshacerme de ella. He buscar en Internet, pero parece que mis archivos gradle están bien: build.gradle (Proyecto) buildscript { repositories { jcenter() } dependencies […]

Android studio 2.1.2 gradle aapt Error de sintaxis: Cadena entre comillas no terminada

Estoy tratando de ejecutar Android Studio 2.1.2 en 32 bits linux Mint 17.3. Android studio está recién instalado. Cuando reconstruyo un proyecto o creo uno nuevo, obtengo errores como este en la Consola Gradle: AAPT err(Facade for 19314581): /home/user/Android/Sdk/build-tools/24.0.1/aapt: 2: /home/user/Android/Sdk/build-tools/24.0.1/aapt: Syntax error: Unterminated quoted string Aapt se configura como ejecutable en el directorio build-tools. […]

gradle 2.0.0 beta 7 missing

Sigo recibiendo este error. ¿Algunas ideas? What went wrong: A problem occurred configuring project ':app'. Could not resolve all dependencies for configuration ':app:classpath'. Could not find com.android.tools.build:gradle:2.0.0-beta7. Searched in the following locations: https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.0.0-beta7/gradle-2.0.0-beta7.pom https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.0.0-beta7/gradle-2.0.0-beta7.jar

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.